#include <iostream>
using namespace std;

int main()
{
    int N,K,a[20000],i,br;
    cin>>N>>K;
    for(i=0; i<N; i++)
    {
        cin>>a[i];
    }
    for(i=0; i<N; i++)
    {
        if(i>=0 && i<N-1)
        {
            if(a[i]==K)
            {br=a[i+1];}
        }
        else if(i==(N-1))
        {
            if(K==a[N-1])
            {br=a[0];}
        }
    }
    cout<<br;
    return 0;
}